Subject: Re: bug#15880: Compute C declarations for DEFSYMs automatically.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Nov 2013 09:59:20 +0200

> Date: Thu, 14 Nov 2013 12:25:45 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Since there are quite a few symbols it might be worth doing this
> only when -g3 is not used, to keep the runtime a bit smaller.

That would be confusing, I think.  We shouldn't need to remember how
Emacs was compiled to debug it.  Having a "print Qfoo" display some
weird error message under obscure circumstances is an annoyance.